<?php
namespace gp\modeles;
use Illuminate\Database\Eloquent\Builder;
class Game_rating extends \Illuminate\Database\Eloquent\Model
{
  protected $table = 'game_rating';
  protected $primaryKey ='id';
  public $timestamps = false;
  public $incrementing = false;
    function games(){
        return $this->BelongsToMany('gp\modeles\Game', 'game2rating','rating_id');
    }

    function rating_board(){
        return $this->BelongsTo('gp\modeles\Rating_board', 'rating_board_id');
    }

    /**
     * Set the keys for a save update query.
     *
     * @param  \Illuminate\Database\Eloquent\Builder  $query
     * @return \Illuminate\Database\Eloquent\Builder
     */
    protected function setKeysForSaveQuery(Builder $query)
    {
        $keys = $this->getKeyName();
        if(!is_array($keys)){
            return parent::setKeysForSaveQuery($query);
        }

        foreach($keys as $keyName){
            $query->where($keyName, '=', $this->getKeyForSaveQuery($keyName));
        }

        return $query;
    }

    /**
     * Get the primary key value for a save query.
     *
     * @param mixed $keyName
     * @return mixed
     */
    protected function getKeyForSaveQuery($keyName = null)
    {
        if(is_null($keyName)){
            $keyName = $this->getKeyName();
        }

        if (isset($this->original[$keyName])) {
            return $this->original[$keyName];
        }

        return $this->getAttribute($keyName);
    }
}
